Subject: bug#64340: closed (Re: bug#64340: libsigrokdecode: check phase fails)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Aug 2023 02:24:02 +0000

Your bug report

#64340: libsigrokdecode: check phase fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64340: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64340
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64340: libsigrokdecode: check phase fails
From: 宋文武 <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Aug 2023 10:23:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Howard <[email-masked]> writes:

> I am trying to install pulseview, but libsigrokdecode fails to build,
> dying at the check phase. It appears to be a dependency-related issue
> - test programs cannot build do to undefined functions.
>
> ```
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyList_Insert'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyModule_AddObject'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PySys_GetObject'
> <<<snip>>>
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyUnicode_AsUTF8String'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `Py_IsInitialized'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyDict_New'
> collect2: error: ld returned 1 exit status
> make[1]: *** [Makefile:751: tests/main] Error 1
> make: *** [Makefile:1353: check-am] Error 2
>
> Test suite failed, dumping logs.
> error: in phase 'check': uncaught exception:
> %exception #<&invoke-error program: "make" arguments: ("check" "-j"
> "4") exit-status: 2 term-signal: #f stop-signal: #f>
> phase `check' failed after 0.5 seconds
> command "make" "check" "-j" "4" failed with status 2
> ```
>
> Full build log is attached.
>
> I see an open bug at <https://issues.guix.gnu.org/63971>, but I'm not sure if this is the same issue or not.
>

Thanks for the report, and I had fixed it by apply update for
libsigrokdecode from 63971.

Closing!

Subject: libsigrokdecode: check phase fails
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Wed, 28 Jun 2023 13:59:56 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I am trying to install pulseview, but libsigrokdecode fails to build, dying at the check phase. It appears to be a dependency-related issue - test programs cannot build do to undefined functions.

```
ld: ./.libs/libsigrokdecode.so: undefined reference to `PyList_Insert'
ld: ./.libs/libsigrokdecode.so: undefined reference to `PyModule_AddObject'
ld: ./.libs/libsigrokdecode.so: undefined reference to `PySys_GetObject'
<<<snip>>>
ld: ./.libs/libsigrokdecode.so: undefined reference to `PyUnicode_AsUTF8String'
ld: ./.libs/libsigrokdecode.so: undefined reference to `Py_IsInitialized'
ld: ./.libs/libsigrokdecode.so: undefined reference to `PyDict_New'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:751: tests/main] Error 1
make: *** [Makefile:1353: check-am] Error 2

Test suite failed, dumping logs.
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check" "-j" "4") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `check' failed after 0.5 seconds
command "make" "check" "-j" "4" failed with status 2
```

Full build log is attached.

I see an open bug at <https://issues.guix.gnu.org/63971>, but I'm not sure if this is the same issue or not.

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.112-gnu 
Uptime: 35 days, 7 hours, 37 mins 
Packages: 93 (guix-system), 191 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: shepherd 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 5121MiB / 7867MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ